Name:		shared-mime-info
Version: 0.20
Release: %mkrel 6
Summary:	Shared MIME-Info Specification
Group:		Graphical desktop/Other
License:	GPL
URL:		http://www.freedesktop.org/software/shared-mime-info
Source0:	http://freedesktop.org/~hadess/%{name}-%{version}.tar.bz2
Source1:	defaults.list
# (fc) 0.19-2mdv fix real media detection
Patch0:		shared-mime-info-0.20-real.patch
# (fc) 0.20-3mdv update raw digicam files, based on ufraw list
Patch1:		shared-mime-info-0.20-raw.patch
# gw add *.lzma pattern
Patch2:		shared-mime-info-0.20-lzma.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRequires:  intltool


%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems currently
in use by GNOME, KDE and ROX. Only the name-to-type and contents-to-type
mappings are covered by this spec; other MIME type information, such as
the default handler for a particular type, or the icon to use to display
it in a file manager, are not covered since these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%prep
%setup -q
%patch0 -p1 -b .real
%patch1 -p1 -b .raw
%patch2 -p1 -b .lzma

%build
%configure2_5x --disable-update-mimedb
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/{application,image,message,multipart,text,audio,inode,model,packages,video}

touch $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,aliases,globs,magic,subclasses,mime.cache}

## remove these bogus files
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/locale/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%triggerun -- shared-mime-info < 0.20-3mdv
%update_mime_database

%files
%defattr (-,root,root)
%doc README shared-mime-info-spec.xml NEWS
%_bindir/update-mime-database
%dir %{_datadir}/mime/
%{_datadir}/applications/defaults.list
%dir %{_datadir}/mime/application  
%dir %{_datadir}/mime/image  
%dir %{_datadir}/mime/message  
%dir %{_datadir}/mime/multipart  
%dir %{_datadir}/mime/text
%dir %{_datadir}/mime/audio        
%dir %{_datadir}/mime/inode  
%dir %{_datadir}/mime/model    
%dir %{_datadir}/mime/packages   
%dir %{_datadir}/mime/video
%ghost %{_datadir}/mime/XMLnamespaces
%ghost %{_datadir}/mime/aliases
%ghost %{_datadir}/mime/globs
%ghost %{_datadir}/mime/magic
%ghost %{_datadir}/mime/subclasses
%ghost %{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/freedesktop.org.xml
%_mandir/man1/update-mime-database.1*
%_datadir/pkgconfig/shared-mime-info.pc


%changelog
* Thu Mar 29 2007 Frederic Crozat <fcrozat@mandriva.com> 0.20-6mdv2007.1
+ Revision: 149882
- Update defaults.list : add more mimetype, use totem instead of rhythmbox by
  default for audio files (Mdv bug #24022), it works best for not imported files

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 0.20-5mdv2007.1
+ Revision: 141290
- add lzma

* Sun Mar 04 2007 Götz Waschk <waschk@mandriva.org> 0.20-4mdv2007.1
+ Revision: 132700
- fix upgrade

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.20-3mdv2007.1
+ Revision: 131454
- Patch1: resync with ufraw for raw digicam format

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Wed Feb 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.20-2mdv2007.1
+ Revision: 127085
-Remove patch16, it is networkmanager specific
-generate real patch to output correct type for RealVideo (fdo bug #10122) and no longer subclass them as text/plain
-Fix defaults.list for Real types

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2007.1
+ Revision: 117749
- new version
- drop merged patches 0 and 2
- update file list

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.19-3mdv2007.1
+ Revision: 111706
- Import shared-mime-info



* Mon Jan 22 2007 Gtz Waschk <waschk@mandriva.org> 0.19-3mdv2007.1
- add alias image/pdf for pdf documents
- unpack patches

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.19-2mdv2007.0
- Patch7: fix detection of Real files

* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.19-1mdv2007.0
- New version 0.19 (goetz)
- fix URL
- drop patches 3,4,5,7
- clean defaults.list 

* Mon Jul 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.18-1mdv2007.0
- Release 0.18
- Remove patches 0, 1, 8 (merged upstream)
- Regenerate patch2

* Thu Apr 13 2006 Gtz Waschk <waschk@mandriva.org> 0.17-3mdk
- include Fedora patches

* Wed Mar 22 2006 Gtz Waschk <waschk@mandriva.org> 0.17-2mdk
- improve patch 1
- patch 5: remove directory alias that was breaking nautilus

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.17-1mdk
- add mime.cache
- rediff patch 1
- New release 0.17
- use mkrel

* Wed Aug 31 2005 Frederic Crozat <fcrozat@mandriva.com> 0.16-3mdk 
- Patch4: add powerpoint alias (Mdk bug #17645)

* Fri Jul  8 2005 Gtz Waschk <waschk@mandriva.org> 0.16-2mdk
- update patch 1 to add WMA audio

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.16-1mdk
- drop patch 4
- New release 0.16

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk 
- Source1: defaults applications to use for GNOME (based on Fedora)
- Patch4 (CVS): various fixes

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15-2mdk
- lib64 fixes to pkgconfig files

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15
- Remove postun script, let rpm do its job

* Tue Aug 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.14-5mdk
- update patch1 to make wmv an alias of asf

* Mon Aug 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-4mdk
- Patch2 : add glob for palm databases

* Sat May 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.14-3mdk
- fix asf, wmv and asx

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.14-2mdk
- fix dia magic detection (Hamish Mackenzie)

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.14-1mdk
- add pkgconfig file
- drop patch (fixed upstream)
- fix url
- new version

* Thu Jan 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-1mdk
- fix buildrequires
- patch to fix mime priorities avi vs riff
- add docs
- remove generated files on installation
- add generated files and directories
- drop patch
- add locale files
- new version

* Wed Oct  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.12-1mdk
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-3mdk
- rebuild

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- new version

* Tue Mar  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.10-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- rebuild

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- license changed to GPL
- removed noarch
- 0.8

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- set license from free to Public Domain
- adapt for Mandrake

* Fri May 31 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.1-1
- First spec file for rox.
